dist.dudi {ade4} | R Documentation

## Computation of the Distance Matrix from a Statistical Triplet

### Description

computes for a statistical triplet a distance matrix.

### Usage

    dist.dudi(dudi, amongrow = TRUE)

### Arguments

`dudi` | a duality diagram, object of class `dudi`
`amongrow` | a logical value computing the distance if TRUE, between rows, if FALSE between columns.

### Value

an object of class `dist`

### Author(s)

Daniel Chessel
Stéphane Dray stephane.dray@univ-lyon1.fr

### Examples

    data (meaudret)
    pca1 <- dudi.pca(meaudret$env, scan = FALSE)
    sum((dist(scalewt(meaudret$env)) - dist.dudi(pca1))^2)
    #[1] 4.045e-29 the same thing

[Package ade4 version 1.7-13 Index]